/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { MovingAverageConvergenceDivergenceIndicatorStrategy } from "./MovingAverageConvergenceDivergenceIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
var MovingAverageConvergenceDivergenceIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(MovingAverageConvergenceDivergenceIndicator, _super);
    function MovingAverageConvergenceDivergenceIndicator() {
        var _this = _super.call(this) || this;
        _this.trendLineBrush = ((function () {
            var $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        _this.trendLineType = 10;
        _this.trendLinePeriod = 9;
        _this.o8 = 1;
        return _this;
    }
    MovingAverageConvergenceDivergenceIndicator.prototype.get_p0 = function () {
        return new MovingAverageConvergenceDivergenceIndicatorStrategy();
    };
    Object.defineProperty(MovingAverageConvergenceDivergenceIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    MovingAverageConvergenceDivergenceIndicator.prototype.get_qd = function () {
        return MovingAverageConvergenceDivergenceIndicator.$;
    };
    Object.defineProperty(MovingAverageConvergenceDivergenceIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MovingAverageConvergenceDivergenceIndicator.prototype, "shortPeriod", {
        get: function () {
            return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qo));
        },
        set: function (a) {
            this.h(MovingAverageConvergenceDivergenceIndicator.qo, a);
        },
        enumerable: true,
        configurable: true
    });
    MovingAverageConvergenceDivergenceIndicator.prototype.p8 = function () {
        return this.shortPeriod;
    };
    Object.defineProperty(MovingAverageConvergenceDivergenceIndicator.prototype, "longPeriod", {
        get: function () {
            return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qn));
        },
        set: function (a) {
            this.h(MovingAverageConvergenceDivergenceIndicator.qn, a);
        },
        enumerable: true,
        configurable: true
    });
    MovingAverageConvergenceDivergenceIndicator.prototype.p5 = function () {
        return this.longPeriod;
    };
    Object.defineProperty(MovingAverageConvergenceDivergenceIndicator.prototype, "signalPeriod", {
        get: function () {
            return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qp));
        },
        set: function (a) {
            this.h(MovingAverageConvergenceDivergenceIndicator.qp, a);
        },
        enumerable: true,
        configurable: true
    });
    MovingAverageConvergenceDivergenceIndicator.prototype.pg = function () {
        return this.signalPeriod;
    };
    MovingAverageConvergenceDivergenceIndicator.qo = StrategyBasedIndicator.qk(10, MovingAverageConvergenceDivergenceIndicator.$);
    MovingAverageConvergenceDivergenceIndicator.qn = StrategyBasedIndicator.qg(30, MovingAverageConvergenceDivergenceIndicator.$);
    MovingAverageConvergenceDivergenceIndicator.qp = StrategyBasedIndicator.qj(9, MovingAverageConvergenceDivergenceIndicator.$, "SignalPeriod");
    MovingAverageConvergenceDivergenceIndicator.$t = markType(MovingAverageConvergenceDivergenceIndicator, 'MovingAverageConvergenceDivergenceIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
    return MovingAverageConvergenceDivergenceIndicator;
}(StrategyBasedIndicator));
export { MovingAverageConvergenceDivergenceIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.MovingAverageConvergenceDivergenceIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.MovingAverageConvergenceDivergenceIndicator" />*/
